var produkty = new Array( 
	new Produkt("Płyta CD", 1.25), 
	new Produkt("Płyta DVD+R", 1.50), 
	new Produkt("Płyta DVD-R", 1.55), 
	new Produkt("Kaseta VHS", 9.98) 
);

function Produkt(nazwa, cena){
	this.nazwa = nazwa;
	this.cena = cena;
	this.ilosc = 0;
}

Produkt.prototype.listaProd = function(){
	var html = "";
	html += "<div class='produkt'>"
	html += "<div class='ll'>" + this.nazwa + " </div>";
	html += "<div class='ll'>" + this.cena.toFixed(2) + "/szt.</div>";
	html += "<div class='rr'>";
		html += "<input type='text' id='ilosc"+this.nazwa+"' />";
		html += "<a href='#' id='"+this.nazwa+"'>do koszyka</a>";
	html += "</div>";
	html += "</div>";
	return html;
}

function drukujProdukty(){
	var html = "";
	
	for(var i=0; i<produkty.length; i++){
		html += produkty[i].listaProd();
	}
	
	var lista = document.getElementById("produkty");
	lista.innerHTML = html;
}

window.onload = function(){
	drukujProdukty();
}